## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name zarr-checksum
 
Name:           python-%{pypi_name}
Version:        0.4.2
Release:        %{autorelease}
Summary:        Algorithms for calculating a zarr checksum against local or cloud storage
License:        Apache-2.0

# ref was setting to 0.4.2 by forge causing download to fail.
# so manually set it
%global ref v%{version} 
%global forgeurl https://github.com/dandi/zarr_checksum
%forgemeta
URL:            %forgeurl
Source:         %forgesource
 
BuildArch:      noarch
BuildRequires:  python3-devel
# Test dependencies:
BuildRequires:  python3dist(pytest)

# Allow users to install this rpm as 'zarrsum'
Provides: zarrsum = %{version}-%{release}

%global _description %{expand:
Algorithms for calculating a zarr checksum against local or cloud storage.}
 
%description %_description
 
%package -n python3-%{pypi_name}
Summary:        %{summary}
 
%description -n python3-%{pypi_name} %_description
 
 
%prep
%forgeautosetup
 
 
%generate_buildrequires
%pyproject_buildrequires -e test
 
 
%build
%pyproject_wheel
 
%install
%pyproject_install
%pyproject_save_files -L zarr_checksum
 
 
%check
%tox -e test
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/zarrsum
%doc README.md NOTICE
%license LICENSE
 
 
%changelog
## START: Generated by rpmautospec
* Sat Aug 24 2024 Mithun Veluri <velurimithun38@gmail.com> - 0.4.2-2
- Allow users to install this rpm with 'zarrsum'

* Wed Aug 14 2024 Mithun Veluri <velurimithun38@gmail.com> - 0.4.2-1
- Initial import (fedora#2304063).
## END: Generated by rpmautospec
